<ion-view cache-view="true">

  <ion-content class="serciciosPag">

    <div ng-if="scope.todos._servicios || scope.todos._servicios.length > 0" class="without">
      <ion-list>
        <ion-item ng-repeat="servicio in scope.todos._servicios track by $index">
          <div class="row">
            <div class="col wrap-titulo">
              <div class="servicio item-text-wrap" ng-if="scope.empresa">
                {{servicio.ciudad}} - {{servicio.nombre_punto_de_servicio}}
              </div>
              <div class="servicio item-text-wrap">
                {{servicio.nombre_servicio}}
              </div>
            </div>
          </div>
          <div class="row row-center">
            <div class="col col-75 wrap-info">
              <div class="cliente"><i class="ion-ios-person"></i><span> {{servicio.nombre_cliente}}</span> </div>
              <div class="telefono"><i class="ion-android-phone-portrait"></i><a ng-click="scope.callNumber(servicio.telefono_cliente)">{{servicio.telefono_cliente}}</a></div>
            </div>
            <div class="col wrap-date">
              <div class="fecha">{{servicio.fecha| date:'dd-MM-yyyy'}}</div>
              <div class="hora">{{servicio.fecha| date:'HH:mm'}}</div>
            </div>
          </div>

          <div class="button-bar">
            <div class="button button-outline button-balanced icon-left ion-checkmark btn-aceptar" ng-click="scope.aceptarServicio($index, servicio.id_servicio)">
              Aceptar servicio
            </div>
            <div class="button button-outline button-assertive icon-left ion-close btn-rechazar" ng-click="scope.rechazarServicio($index, servicio.id_servicio)">
              Rechazar servicio
            </div>
          </div>

        </ion-item>
      </ion-list>
    </div>

    <div ng-if="!scope.todos._servicios || scope.todos._servicios.length == 0" class="without">
      <div class="content-alert">
        <div class="wrap-dark">
          No tienes ningún servicio pendiente
        </div>
      </div>
    </div>

  </ion-content>
</ion-view>
